function ftable=xvlib_init_2d_filter_coefs(mode,ncoef)

if(strcmp(mode,'ramp'))
    fcoef=1:ncoef;
end

if(strcmp(mode,'one'))
    fcoef=zeros(1,ncoef);
    fcoef(1)=1;
end
if(strcmp(mode,'ones'))
    fcoef=ones(1,ncoef)*1/ncoef;
end

if(strcmp(mode,'zero'))
    fcoef=zeros(1,ncoef);
end
if(strcmp(mode,'high'))
    fcoef=[ -1/8 -1/4 -1/2   1  1   -1/2   -1/4  -1/8 ]

end
if(strcmp(mode,'edge'))
    %fcoef=[ -0.0059   -0.0489   -0.1716    0.4528   -0.1716   -0.0489   -0.0059  0.0 ]*2
    fcoef=[ -1/8 -1/8 -1/4   1   1   -1/4   -1/8  -1/8 ]
end


ftable=fcoef;
%scale the color coefs
% fmat=fcoef*127;

% %pack them into 32-bit words
% for i=1:4
% ftable(i) = cmat(1,i) + cmat(2,i)*(2^8) + cmat(3,i)*(2^16);
% disp ( dec2hex( num2str(ftable(i))))
% end
% 
% %pad the table to 16
% ftable=[ ftable zeros(1,12); ]


