function ctable=xvlib_init_colorspace_coefs(mode)

if(strcmp(mode,'rgb_ycc'))
    cmat=[16,   0.25678824, 0.50412941, 0.09790588; 128, -0.1482229, -0.29099279, 0.43921569;128, 0.43921569,-0.36778831,-0.07142737];
end
if(strcmp(mode,'rgb_neg'))
    cmat=[.5,-.5,0,0; .5,0,-.5,0; .5,0,0,-.5];
end
if(strcmp(mode,'rgb_cpl'))
    cmat=[0,0,.5,.5; 0,.5,0,.5; 0,.5,.5,0];
end

if(strcmp(mode,'rgb_cpx'))
    cmat=[0,.5,0,.5; 0,0.5,0.5,0; 0,0,.5,0.5];
end

if(strcmp(mode,'rgb_rgb'))
    cmat=[0,1,0,0; 0,0,1,0; 0,0,0,1]*.99;
end
if(strcmp(mode,'rgb_rgb2'))
    cmat=[0,.5,0,0; 0,0,.5,0; 0,0,0,.5];
end

if(strcmp(mode,'ycc_rgb'))
    cmat=[16,   1.1643836, 0, 1.5960268; 128, 1.1643836, -0.39176229, -0.81296765; 128, 0.1643836,2.0172341, 0];
end
if(strcmp(mode,'rgb_y'))
    cmat=[0.299, 0.587, 0.114; 0.299, 0.587, 0.114; 0.299, 0.587, 0.114;];
end  
if(strcmp(mode,'rgb_i'))
    cmat=[0,1,1,1;0,1,1,1;0,1,1,1]*.33
end  

%scale the color coefs
cmat=cmat*255

% %pack them into 32-bit words
% for i=1:4
% ctable(i) = cmat(1,i) + cmat(2,i)*(2^8) + cmat(3,i)*(2^16);
% disp ( dec2hex( num2str(ctable(i))))
% end
% 
% %pad the table to 16
% ctable=[ ctable zeros(1,12); ]
%ctable=cmat
ctable=reshape(cmat', 1, 12);
